libnvme(2)

NAME
enum nvme_st_code - Self-test Code value

SYNOPSIS
enum nvme_st_code {
NVME_ST_CODE_RESERVED ,
NVME_ST_CODE_SHORT ,
NVME_ST_CODE_EXTENDED ,
NVME_ST_CODE_HOST_INIT ,
NVME_ST_CODE_VS ,
NVME_ST_CODE_ABORT ,
NVME_ST_CODE_SHIFT

};

Constants

NVME_ST_CODE_RESERVED
    Reserved.

NVME_ST_CODE_SHORT
    Short device self-test operation.

NVME_ST_CODE_EXTENDED
    Extended device self-test operation.

NVME_ST_CODE_HOST_INIT
    Host-Initiated Refresh operation.

NVME_ST_CODE_VS
    Vendor specific.

NVME_ST_CODE_ABORT
    Abort device self-test operation.

NVME_ST_CODE_SHIFT
    Shift amount to get the code value from the struct nvme_st_result.dsts field.